"use client"

import * as React from "react"

import { Button } from "./ui/button"
import { cn } from '../lib/utils'
import { icons } from "../lib/icons"


export function NavButton({selected, variant}) {

    return (
        <Button variant="outline" size="icon" className={cn("bg-inherit border-none text-content", selected ? "text-accent" : "text-content")} dangerouslySetInnerHTML={{ __html: icons[variant] }} />
    )
}
